| Home | Libraries | People | FAQ | More

##### stable_async_base::allocate_stable

Allocate a temporary object to hold operation state.

###### Synopsis

Defined in header `<boost/beast/core/async_base.hpp>`

    template<
        class State,
        class Handler,
        class Executor1_,
        class Allocator_,
        class... Args>
    friend State&
    allocate_stable(
        stable_async_base< Handler_, Executor1_, Allocator_ >& base,
        Args&&... args);

###### Description

The object will be destroyed just before the completion handler is invoked, or when the operation base is destroyed.

Convenience header `<boost/beast/core.hpp>`